<template>
    <div :class="`quota border-${color}`" >
      <div class="quota__name">
        {{ name }}
      </div>
      <div :class="`quota__price text-${color}`">
        {{ $n(this.price, 'currency', $i18n.locale) }}
      </div>
      <ul class="benefit-list">
        <li 
          v-for="(benefit, index) in benefitsList"
          :key="`benefit_${index}`"
          :id="`benefit_${index}`"
          class="benefit"
          :style="{ 'fontWeight': isBold(index)}"
        >
          {{ benefit[$i18n.locale] }}
        </li>
      </ul>
    </div>
</template>

<script lang="ts">
import Vue from 'vue';
import { mapGetters } from 'vuex';

export default Vue.extend({
  props: {
    name: {
      type: String,
      required: true,
    },
    prices: {
      type: Object,
      required: true,
    },
    benefitsList: {
      type: Array,
      required: true,
    },
    color: {
      type: String,
      required: true,
    },
    id: {
      type: Number,
      required: true,
    },
    hackId: {
      type: String,
      required: true,
    },
  },

  computed: {
    price(): number {
      const { $i18n, prices }: any = this;
      return prices[$i18n.locale];
    },
  },

  methods: {
    isBold(benefitIndex: number): string {
      const { id }: any = this;

      if (id !== 0 && benefitIndex === 0) {
        return 'bold';
      }

      return '500';
    },
  },
});
</script>

<style lang="postcss">
.quota-list {
  @apply flex flex-col flex-no-wrap justify-center;
}

.quota {
  @apply m-2 border-t-4 rounded-lg bg-white;
}

@screen lg {
  .quota-list {
    @apply flex-row;
  }

  .quota {
    @apply w-1/5;

    height: 80vh;
  }
}

.quota__name {
  @apply border-b-2 border-grey-light py-2 text-3xl text-center;
}

.quota__price {
  @apply py-4 font-semibold text-4xl text-center;
}

.benefit-list {
  @apply list-reset px-3;
}

.benefit {
  @apply mb-8;
}
</style>
